# frozen_string_literal: true

require 'dadatas/api_call'

module Dadatas
  # Clean API
  class Clean
    BASE_URL = 'https://cleaner.dadata.ru/api/v1/clean/'

    attr_reader :config

    def initialize(config)
      @config = config
    end

    def address(query)
      call_method('address', query.split(','))
    end

    private

    def call_method(method, query_data)
      Dadatas::ApiCall.new(
        URI(URI.join(BASE_URL, method)),
        config,
        query_data
      ).call
    end
  end
end
